Subject: [rtcweb] WGLC draft-ietf-rtcweb-audio-codecs-for-interop-02

From: Cullen Jennings <[email-masked]>
Date: Thu, 5 Nov 2015 15:57:59 +0900

We would like to start the working group last call of draft-ietf-rtcweb-audio-codecs-for-interop-02. Please send any comments to the list by the end of Nov 30.

---

From: Magnus Westerlund <[email-masked]>
Date: Wed, 18 Nov 2015 16:31:14 +0100

Hi,

I have reviewed the WebRTC audio codecs for interop draft and have the 
following comments.

Summary: Not ready yet for publication.

A. The author list is 7 persons long. Please consider how you want to 
deal with the general limitation of 5 authors on the front page: See 
Section 4.1.1 of https://www.rfc-editor.org/rfc/rfc7322.txt

B. Use of acronyms:

There a large number of acronyms that aren't spelled out on their first 
usage. PSTN, PLMN, IMS, VoLTE, ViLTE, AMR-WB, MOS, GSMA for example

C. Lack of references.

In section 2 and 3 a lot of the terms used could benefit from having a 
informative reference for them.

D. Section 4.1.2:

"The market of voice personal communication is driven by mobile
    terminals."

Shouldn't it be "personal voice communication"?

E. Section 5. Security Consideration

This section is empty, which is not allowed.

F. Section 8.1: Normative references.

As there are no reference to RFC2119 in use, I question its inclusion as 
a normative reference. Secondly, it appears that what can be normative 
references are the actual references needed to implement each of the 
recommendations.

G. I think this document is not clear on enough on what RTP 
packetization that is to be implemented with each codec. I would 
recommend that you are explicit about which payload format specification 
that is to be supported for each of the codecs.

Cheers

Magnus Westerlund

Den 2015-11-05 kl. 07:57, skrev Cullen Jennings:
> We would like to start the working group last call of
> draft-ietf-rtcweb-audio-codecs-for-interop-02. Please send any
> comments to the list by the end of Nov 30.
>
>
> _______________________________________________ rtcweb mailing list
> [email-masked] https://www.ietf.org/mailman/listinfo/rtcweb
>

-- 

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287
Färögatan 6                 | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden | mailto: [email-masked]
----------------------------------------------------------------------

---

From: <[email-masked]>
Date: Wed, 25 Nov 2015 15:55:25 +0000

Hello Magnus, all

Thank you very much, Magnus, for your review. I agree with all your comments that are indeed needed to be taken into account before publication. 
Please find attached a draft -03  version that tries to capture all your comments (+some more editorial updates and corrections for further cleaning). 

To summarize the modifications
- proposal to keep myself as the only author to comply with the requirement to limit the number of authors 
- reference removed from abstract 
- "Definition" section renamed "Definition and abbreviations" so that all acronyms can be made explicit in this section
- some informative references added as much as possible
- slight update of HD voice figures (number of networks, customers...)
- addition of more explicit information on packetization for additional codecs (which is indeed a key point for interop !)
- addition of normative reference related to additional codecs
- text added in "Security" section
- references related to additional codecs implementation moved under normative reference section

You can also check in your e-mail below my answers inserted point by point

Please do not hesitate to let me know if it is ok for you; I hope it is now in a better shape for publication.

Best regards

Stéphane

-----Message d'origine-----
De : rtcweb [mailto:[email-masked]] De la part de Magnus Westerlund
Envoyé : mercredi 18 novembre 2015 16:31
À : Cullen Jennings; <[email-masked]>
Objet : Re: [rtcweb] WGLC draft-ietf-rtcweb-audio-codecs-for-interop-02

Hi,

I have reviewed the WebRTC audio codecs for interop draft and have the following comments.

A. The author list is 7 persons long. Please consider how you want to deal with the general limitation of 5 authors on the front page: See Section 4.1.1 of https://www.rfc-editor.org/rfc/rfc7322.txt
>> Ok. With the kind agreement of the co-authors and since I would have no way to choose what names I should keep or remove, the only solution I would see and propose would be to stay the only author

B. Use of acronyms:
There a large number of acronyms that aren't spelled out on their first usage. PSTN, PLMN, IMS, VoLTE, ViLTE, AMR-WB, MOS, GSMA for example
>>Ok : Sure ! I propose to rename the definition section in definion and abbreviations and detail here all the acronyms 

C. Lack of references.
In section 2 and 3 a lot of the terms used could benefit from having a informative reference for them.
>> Ok. I've added some more informative reference about DECT and 3GPP 2G, 3G and 4G (IP/IMS) networks.

D. Section 4.1.2:
"The market of voice personal communication is driven by mobile  terminals."
Shouldn't it be "personal voice communication"?
>>Yes indeed. I corrected this

>> Some text is now proposed

>>Since the draft intends to be informational, I agree that there is no need to reference RFC2119 since words MUST, SHALL. are not used.  If it is allowed to have normative references in an informational draft  I also agree that some reference can be considered as normative with respect to the guidelines given for implementation (whereas some other are just for additional information). So the proposed update now include both normative and informative references. For instance I added directly in the document the normative specifications related to the additional codecs considered (previously only indirectly referred)
As there are no reference to RFC2119 in use, I question its inclusion as a normative reference. Secondly, it appears that what can be normative references are the actual references needed to implement each of the recommendations.

G. I think this document is not clear on enough on what RTP packetization that is to be implemented with each codec. I would recommend that you are explicit about which payload format specification that is to be supported for each of the codecs.
>> Good point. The information was in the references indicated but since this is a key issue for interop it worth stating this in full words in the document

Cheers

Magnus Westerlund

-- 

Magnus Westerlund

_______________________________________________
rtcweb mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/rtcweb

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
France Telecom - Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorization.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, France Telecom - Orange shall not be liable if this message was modified, changed or falsified.
Thank you.

---

From: Martin J. Dürst <[email-masked]>
Date: Thu, 26 Nov 2015 19:20:07 +0900

Hello Stephane,

> Please find attached a draft -03  version that tries to capture all your comments (+some more editorial updates and corrections for further cleaning).

Please don't attach drafts. Please submit them, so that people can use 
the tools they are familiar with (e.g. diff,...) more easily. You can 
always submit one more draft if there are additional changes; integers 
are cheap.

Regards,   Martin.

---

From: Barry Dingle <[email-masked]>
Date: Sun, 29 Nov 2015 21:27:45 +1100

Hi Stephane,

Some suggested editorials - most very minor.

*General suggestions*

- Change all instances of 'non WebRTC' to 'non-WebRTC'

- Change all instances of 'end point' AND 'end-point' to 'endpoint'

*1  Introduction*

Delete last sentence. It is not relevant as it refers 'additions' that
would require a new RFC.

*2  Definition and Abbreviations*

-  Legacy networks:
        4th line - remove unnecessary quotation symbol - change "Evolved
Packet System*"* " to "Evolved
             Packet System "
       5th line - add 2 spaces - change "access(VoLTE)[IR.92]"  to  "access
(VoLTE) [IR.92]"

- AMR-WB - remove 2nd duplicated AMR-WB

- IMS - singular - it should be 'System' - not 'Systems'

- LTE abbreviation should be placed in alphabetical order before MOS
abbreviation;
    also change "3GPP "4G" wireless standard"  to  "3GPP "4G" wireless data
transmission standard"

- PLMN - it should be 'Network' - not 'Networks'

- PSTN - it should be 'Network' - not 'Networks'

*3  Rationale for additional WebRTC codecs *

2nd and 3rd lines - remove two instances of 'the'   - change "guarantee
*the* codec interoperability (without
   transcoding) at *the* state of the art voice quality"  to  "guarantee
codec interoperability (without transcoding) at
   state of the art voice quality"

4th line - change "The WebRTC technology is *however* expected to be used"
to
   "The WebRTC technology is *also* expected to be used"

2nd last line - change "more CPU and be more costly" to "more CPU
*processing* and be more costly" .

*4.1.2*

3rd last line - change "terminal." to "terminal*s*."

*4.3.2*

2nd line - change "cordeless" to "cordless".

*Acknowledgements:*

Does the Author want to name all or some of the 6 co-authors who were
'deleted' in this Section?

Cheers,
/Barry

Barry Dingle
Fixed - +61-3-9725-3937    Mob - +61-41-911-7578
Fellow of University of Melbourne, Australia

On Thu, Nov 26, 2015 at 2:55 AM, <[email-masked]> wrote:

> Hello Magnus, all
>
> Thank you very much, Magnus, for your review. I agree with all your
> comments that are indeed needed to be taken into account before publication.
> Please find attached a draft -03  version that tries to capture all your
> comments (+some more editorial updates and corrections for further
> cleaning).
>
> - proposal to keep myself as the only author to comply with the
> requirement to limit the number of authors
> - "Definition" section renamed "Definition and abbreviations" so that all
> acronyms can be made explicit in this section
> - addition of more explicit information on packetization for additional
> codecs (which is indeed a key point for interop !)
> A. The author list is 7 persons long. Please consider how you want to deal
> with the general limitation of 5 authors on the front page: See Section
> 4.1.1 of https://www.rfc-editor.org/rfc/rfc7322.txt
> >> Ok. With the kind agreement of the co-authors and since I would have no
> way to choose what names I should keep or remove, the only solution I would
> see and propose would be to stay the only author
>
> B. Use of acronyms:
> >>Ok : Sure ! I propose to rename the definition section in definion and
> abbreviations and detail here all the acronyms
>
> C. Lack of references.
> >>Since the draft intends to be informational, I agree that there is no
> need to reference RFC2119 since words MUST, SHALL. are not used.  If it is
> allowed to have normative references in an informational draft  I also
> agree that some reference can be considered as normative with respect to
> the guidelines given for implementation (whereas some other are just for
> additional information). So the proposed update now include both normative
> and informative references. For instance I added directly in the document
> the normative specifications related to the additional codecs considered
> (previously only indirectly referred)
> As there are no reference to RFC2119 in use, I question its inclusion as a
> normative reference. Secondly, it appears that what can be normative
> G. I think this document is not clear on enough on what RTP packetization
> that is to be implemented with each codec. I would recommend that you are
> explicit about which payload format specification that is to be supported
> for each of the codecs.
> >> Good point. The information was in the references indicated but since
> this is a key issue for interop it worth stating this in full words in the
> document
>
> Cheers
>
> Magnus Westerlund
>
> Ce message et ses pieces jointes peuvent contenir des informations
> confidentielles ou privilegiees et ne doivent donc
> pas etre diffuses, exploites ou copies sans autorisation. Si vous avez
> recu ce message par erreur, veuillez le signaler
> a l'expediteur et le detruire ainsi que les pieces jointes. Les messages
> electroniques etant susceptibles d'alteration,
> This message and its attachments may contain confidential or privileged
> information that may be protected by law;
> As emails may be altered, France Telecom - Orange shall not be liable if
> this message was modified, changed or falsified.
> Thank you.
>
>

---

From: <[email-masked]>
Date: Mon, 30 Nov 2015 07:38:46 +0000

Thanks Barry for your review

And yes indeed, I had for sure the intention in the "official" submission of this -03 version to thank all the co-authors and a few more people that kindly supported this work and helped me to write and improve this document in the acknowledgment section (I  was focused in this "pre-submission" on taking into account the comments from Magnus and improving the current text)
That is the minimum I could do and I wish I could keep all them as co-authors !

Best regards

Stéphane

De : Barry Dingle [mailto:[email-masked]]
Envoyé : dimanche 29 novembre 2015 11:28
À : PROUST Stéphane IMT/OLPS
Cc : Magnus Westerlund; Cullen Jennings; <[email-masked]>
Objet : Re: [rtcweb] WGLC draft-ietf-rtcweb-audio-codecs-for-interop-02

Hi Stephane,

General suggestions

1  Introduction
Delete last sentence. It is not relevant as it refers 'additions' that would require a new RFC.

2  Definition and Abbreviations

-  Legacy networks:
        4th line - remove unnecessary quotation symbol - change "Evolved Packet System" " to "Evolved
             Packet System "
       5th line - add 2 spaces - change "access(VoLTE)[IR.92]"  to  "access (VoLTE) [IR.92]"
- AMR-WB - remove 2nd duplicated AMR-WB
- IMS - singular - it should be 'System' - not 'Systems'
- LTE abbreviation should be placed in alphabetical order before MOS abbreviation;
    also change "3GPP "4G" wireless standard"  to  "3GPP "4G" wireless data transmission standard"
- PLMN - it should be 'Network' - not 'Networks'
- PSTN - it should be 'Network' - not 'Networks'
3  Rationale for additional WebRTC codecs
2nd and 3rd lines - remove two instances of 'the'   - change "guarantee the codec interoperability (without
   transcoding) at the state of the art voice quality"  to  "guarantee codec interoperability (without transcoding) at
   state of the art voice quality"
4th line - change "The WebRTC technology is however expected to be used"  to
   "The WebRTC technology is also expected to be used"
2nd last line - change "more CPU and be more costly" to "more CPU processing and be more costly" .

4.1.2

3rd last line - change "terminal." to "terminals."
4.3.2

Acknowledgements:

Does the Author want to name all or some of the 6 co-authors who were 'deleted' in this Section?

Cheers,
/Barry

Barry Dingle

On Thu, Nov 26, 2015 at 2:55 AM, <[email-masked]<mailto:[email-masked]>> wrote:
Hello Magnus, all

Best regards

Stéphane

-----Message d'origine-----
De : rtcweb [mailto:[email-masked]<mailto:[email-masked]>] De la part de Magnus Westerlund
Envoyé : mercredi 18 novembre 2015 16:31
À : Cullen Jennings; <[email-masked]<mailto:[email-masked]>>
Objet : Re: [rtcweb] WGLC draft-ietf-rtcweb-audio-codecs-for-interop-02

Hi,

B. Use of acronyms:

C. Lack of references.

D. Section 4.1.2:

Cheers

Magnus Westerlund

Den 2015-11-05 kl. 07:57, skrev Cullen Jennings:
> [email-masked]<mailto:[email-masked]> https://www.ietf.org/mailman/listinfo/rtcweb
>

--

Magnus Westerlund

----------------------------------------------------------------------
Services, Media and Network features, Ericsson Research EAB/TXM
----------------------------------------------------------------------
Ericsson AB                 | Phone  +46 10 7148287<tel:%2B46%2010%207148287>
Färögatan 6                 | Mobile +46 73 0949079<tel:%2B46%2073%200949079>
SE-164 80 Stockholm, Sweden | mailto: [email-masked]<mailto:[email-masked]>
----------------------------------------------------------------------

_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb

_______________________________________________
rtcweb mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/rtcweb